%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% 
%% This file is part of BibTool.
%% It is distributed under the GNU General Public License.
%% See the file COPYING for details.
%% 
%% (c) 2017 Gerd Neugebauer
%% 
%% Net: gene@gerd-neugebauer.de
%%
%% This program is free software; you can redistribute it and/or modify
%% it under the terms of the GNU General Public License as published by
%% the Free Software Foundation; either version 2, or (at your option)
%% any later version.
%%
%% This program is distributed in the hope that it will be useful,
%% but WITHOUT ANY WARRANTY; without even the implied warranty of
%% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%% GNU General Public License for more details.
%%
%% You should have received a copy of the GNU General Public License
%% along with this program; if not, write to the Free Software
%% Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Keep only fields in the standard BibLaTeX styles
%
keep.field{{entryset
	    crossref}
  if $type = set}

keep.field{{author
	    journaltitle
	    title
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    annotator
	    commentator
	    doi
	    editor
	    editora
	    editorb
	    editorc
	    editortype
	    editoratype
	    editorbtype
	    editorctype
	    eid
	    eprint
	    eprintclass
	    eprinttype
	    issn
	    issue
	    issuetitle
	    issuesubtitle
	    journalsubtitle
	    language
	    note
	    number
	    origlanguage
	    pages
	    pubstate
	    series
	    subtitle
	    titleaddon
	    translator
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    version
	    volume}
  if $type = article}

keep.field{{note}
	if $type = bibnote}

keep.field{{author
	    title
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    afterword
	    annotator
	    chapter
	    commentator
	    doi
	    edition
	    editor
	    editora
	    editorb
	    editorc
	    editortype
	    editoratype
	    editorbtype
	    editorctype
	    eprint
	    eprintclass
	    eprinttype
	    foreword
	    introduction
	    isbn
	    language
	    location
	    maintitle
	    maintitleaddon
	    mainsubtitle
	    note
	    number
	    origlanguage
	    pages
	    pagetotal
	    part
	    publisher
	    pubstate
	    series
	    subtitle
	    titleaddon
	    translator
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    volume
	    volumes}
  if $type = book}

keep.field{{author
	    title
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    afterword
	    annotator
	    commentator
	    doi
	    edition
	    editor
	    editora
	    editorb
	    editorc
	    editortype
	    editoratype
	    editorbtype
	    editorctype
	    eprint
	    eprintclass
	    eprinttype
	    foreword
	    introduction
	    isbn
	    language
	    location
	    note
	    number
	    origlanguage
	    pagetotal
	    publisher
	    pubstate
	    series
	    subtitle
	    titleaddon
	    translator
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    volume
	    volumes}
  if $type = mvbook}

keep.field{{author
	    title
	    booktitle
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    afterword
	    annotator
	    bookauthor
	    booksubtitle
	    booktitleaddon
	    chapter
	    commentator
	    doi
	    edition
	    editor
	    editora
	    editorb
	    editorc
	    editortype
	    editoratype
	    editorbtype
	    editorctype
	    eprint
	    eprintclass
	    eprinttype
	    foreword
	    introduction
	    isbn
	    language
	    location
	    mainsubtitle
	    maintitle
	    maintitleaddon
	    note
	    number
	    origlanguage
	    part
	    publisher
	    pages
	    pubstate
	    series
	    subtitle
	    titleaddon
	    translator
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    volume
	    volumes}
  if $type = inbookbook}

keep.field{{author
	    title
	    booktitle
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    afterword
	    annotator
	    bookauthor
	    booksubtitle
	    booktitleaddon
	    chapter
	    commentator
	    doi
	    edition
	    editor
	    editora
	    editorb
	    editorc
	    editortype
	    editoratype
	    editorbtype
	    editorctype
	    eprint
	    eprintclass
	    eprinttype
	    foreword
	    introduction
	    isbn
	    language
	    location
	    mainsubtitle
	    maintitle
	    maintitleaddon
	    note
	    number
	    origlanguage
	    part
	    publisher
	    pages
	    pubstate
	    series
	    subtitle
	    titleaddon
	    translator
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    volume
	    volumes}
  if $type = inbook}

keep.field{{author
	    title
	    booktitle
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    afterword
	    annotator
	    bookauthor
	    booksubtitle
	    booktitleaddon
	    chapter
	    commentator
	    doi
	    edition
	    editor
	    editora
	    editorb
	    editorc
	    editortype
	    editoratype
	    editorbtype
	    editorctype
	    eprint
	    eprintclass
	    eprinttype
	    foreword
	    introduction
	    isbn
	    language
	    location
	    mainsubtitle
	    maintitle
	    maintitleaddon
	    note
	    number
	    origlanguage
	    part
	    publisher
	    pages
	    pubstate
	    series
	    subtitle
	    titleaddon
	    translator
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    volume
	    volumes}
  if $type = suppbook}

keep.field{{author
	    editor
	    editortype
	    title
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    chapter
	    doi
	    eprint
	    eprintclass
	    eprinttype
	    howpublished
	    language
	    location
	    note
	    pages
	    pagetotal
	    pubstate
	    subtitle
	    titleaddon
	    type
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear}
  if $type = booklet}

keep.field{{editor
	    title
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    afterword
	    annotator
	    chapter
	    commentator
	    doi
	    edition
	    editora
	    editorb
	    editorc
	    editortype
	    editoratype
	    editorbtype
	    editorctype
	    eprint
	    eprintclass
	    eprinttype
	    foreword
	    introduction
	    isbn
	    language
	    location
	    mainsubtitle
	    maintitle
	    maintitleaddon
	    note
	    number
	    origlanguage
	    pages
	    pagetotal
	    part
	    publisher
	    pubstate
	    series
	    subtitle
	    titleaddon
	    translator
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    volume
	    volumes}
  if $type = collection}

keep.field{{editor
	    title
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    afterword
	    annotator
	    chapter
	    commentator
	    doi
	    edition
	    editora
	    editorb
	    editorc
	    editortype
	    editoratype
	    editorbtype
	    editorctype
	    eprint
	    eprintclass
	    eprinttype
	    foreword
	    introduction
	    isbn
	    language
	    location
	    mainsubtitle
	    maintitle
	    maintitleaddon
	    note
	    number
	    origlanguage
	    pages
	    pagetotal
	    part
	    publisher
	    pubstate
	    series
	    subtitle
	    titleaddon
	    translator
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    volume
	    volumes}
  if $type = reference}

keep.field{{author
	    title
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    afterword
	    annotator
	    commentator
	    doi
	    edition
	    editor
	    editora
	    editorb
	    editorc
	    editortype
	    editoratype
	    editorbtype
	    editorctype
	    eprint
	    eprintclass
	    eprinttype
	    foreword
	    introduction
	    isbn
	    language
	    location
	    note
	    number
	    origlanguage
	    publisher
	    pubstate
	    subtitle
	    titleaddon
	    translator
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    volume
	    volumes}
  if $type = mvreference}

keep.field{{author
	    title
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    afterword
	    annotator
	    commentator
	    doi
	    edition
	    editor
	    editora
	    editorb
	    editorc
	    editortype
	    editoratype
	    editorbtype
	    editorctype
	    eprint
	    eprintclass
	    eprinttype
	    foreword
	    introduction
	    isbn
	    language
	    location
	    note
	    number
	    origlanguage
	    publisher
	    pubstate
	    subtitle
	    titleaddon
	    translator
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    volume
	    volumes}
  if $type = mvcollection}
keep.field{{author
	    editor
	    title
	    booktitle
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    afterword
	    annotator
	    booksubtitle
	    booktitleaddon
	    chapter
	    commentator
	    doi
	    edition
	    editora
	    editorb
	    editorc
	    editortype
	    editoratype
	    editorbtype
	    editorctype
	    eprint
	    eprintclass
	    eprinttype
	    foreword
	    introduction
	    isbn
	    language
	    location
	    mainsubtitle
	    maintitle
	    maintitleaddon
	    note
	    number
	    origlanguage
	    pages
	    part
	    publisher
	    pubstate
	    series
	    subtitle
	    titleaddon
	    translator
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    volume
	    volumes}
  if $type = incollection}

keep.field{{author
	    editor
	    title
	    booktitle
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    afterword
	    annotator
	    booksubtitle
	    booktitleaddon
	    chapter
	    commentator
	    doi
	    edition
	    editora
	    editorb
	    editorc
	    editortype
	    editoratype
	    editorbtype
	    editorctype
	    eprint
	    eprintclass
	    eprinttype
	    foreword
	    introduction
	    isbn
	    language
	    location
	    mainsubtitle
	    maintitle
	    maintitleaddon
	    note
	    number
	    origlanguage
	    pages
	    part
	    publisher
	    pubstate
	    series
	    subtitle
	    titleaddon
	    translator
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    volume
	    volumes}
  if $type = suppcollection}

keep.field{{author
	    editor
	    title
	    booktitle
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    afterword
	    annotator
	    booksubtitle
	    booktitleaddon
	    chapter
	    commentator
	    doi
	    edition
	    editora
	    editorb
	    editorc
	    editortype
	    editoratype
	    editorbtype
	    editorctype
	    eprint
	    eprintclass
	    eprinttype
	    foreword
	    introduction
	    isbn
	    language
	    location
	    mainsubtitle
	    maintitle
	    maintitleaddon
	    note
	    number
	    origlanguage
	    pages
	    part
	    publisher
	    pubstate
	    series
	    subtitle
	    titleaddon
	    translator
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    volume
	    volumes}
  if $type = inreference}

keep.field{{title
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    author
	    chapter
	    doi
	    edition
	    editor
	    editortype
	    eprint
	    eprintclass
	    eprinttype
	    isbn
	    language
	    location
	    note
	    number
	    organization
	    pages
	    pagetotal
	    publisher
	    pubstate
	    series
	    subtitle
	    titleaddon
	    type
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    version}
  if $type = manual}

keep.field{{title
	    day
	    endday
	    endmonth
	    endyear
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    author
	    doi
	    editor
	    editortype
	    eprint
	    eprintclass
	    eprinttype
	    howpublished
	    language
	    location
	    note
	    organization
	    pubstate
	    subtitle
	    titleaddon
	    type
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    version}
  if $type = misc}

keep.field{{title
	    url
	    addendum
	    author
	    editor
	    editortype
	    language
	    month
	    note
	    organization
	    pubstate
	    subtitle
	    titleaddon
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    version
	    year}
  if $type = online}

keep.field{{author
	    title
	    number
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    doi
	    eprint
	    eprintclass
	    eprinttype
	    holder
	    location
	    note
	    pubstate
	    subtitle
	    titleaddon
	    type
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    version}
  if $type = patent}

keep.field{{editor
	    title
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    doi
	    editora
	    editorb
	    editorc
	    editortype
	    editoratype
	    editorbtype
	    editorctype
	    eprint
	    eprintclass
	    eprinttype
	    issn
	    issue
	    issuesubtitle
	    issuetitle
	    language
	    note
	    number
	    pubstate
	    series
	    subtitle
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    volume}
  if $type = periodical}

keep.field{{editor
	    editortype
	    title
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    doi
	    eprint
	    eprintclass
	    eprinttype
	    eventday
	    eventendday
	    eventendmonth
	    eventendyear
	    eventmonth
	    eventyear
	    eventtitle
	    eventtitleaddon
	    isbn
	    language
	    location
	    note
	    number
	    organization
	    pagetotal
	    publisher
	    pubstate
	    series
	    subtitle
	    titleaddon
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    venue
	    volumes}
  if $type = mvproceedings}

keep.field{{editor
	    editortype
	    title
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    chapter
	    doi
	    eprint
	    eprintclass
	    eprinttype
	    eventday
	    eventendday
	    eventendmonth
	    eventendyear
	    eventmonth
	    eventyear
	    eventtitle
	    eventtitleaddon
	    isbn
	    language
	    location
	    mainsubtitle
	    maintitle
	    maintitleaddon
	    note
	    number
	    organization
	    pages
	    pagetotal
	    part
	    publisher
	    pubstate
	    series
	    subtitle
	    titleaddon
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    venue
	    volume
	    volumes}
  if $type = proceedings}

keep.field{{author
	    editor
	    editortype
	    title
	    booktitle
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    booksubtitle
	    booktitleaddon
	    chapter
	    doi
	    eprint
	    eprintclass
	    eprinttype
	    eventday
	    eventendday
	    eventendmonth
	    eventendyear
	    eventmonth
	    eventyear
	    eventtitle
	    eventtitleaddon
	    isbn
	    language
	    location
	    mainsubtitle
	    maintitle
	    maintitleaddon
	    note
	    number
	    organization
	    pages
	    part
	    publisher
	    pubstate
	    series
	    subtitle
	    titleaddon
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    venue
	    volume
	    volumes}
  if $type = inproceedings}

keep.field{{author
	    title
	    type
	    institution
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    chapter
	    doi
	    eprint
	    eprintclass
	    eprinttype
	    isrn
	    language
	    location
	    note
	    number
	    pages
	    pagetotal
	    pubstate
	    subtitle
	    titleaddon
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear
	    version}
  if $type = report}

keep.field{{author
	    title
	    type
	    institution
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    chapter
	    doi
	    eprint
	    eprintclass
	    eprinttype
	    language
	    location
	    note
	    pages
	    pagetotal
	    pubstate
	    subtitle
	    titleaddon
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear}
  if $type = thesis}

keep.field{{author
	    title
	    day
	    endday
	    endmonth
	    endyear
	    month
	    year
	    addendum
	    howpublished
	    language
	    location
	    note
	    pubstate
	    subtitle
	    titleaddon
	    url
	    urlday
	    urlendday
	    urlendmonth
	    urlendyear
	    urlmonth
	    urlyear}
  if $type = unpublished}
